Overview | Package | Class | Tree | Deprecated | Index | Help
| SolarMetric Kodo JDO 3.0.3 generated on February 20 2004
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## kodo.jdbc.meta
Class AbstractCollectionFieldMapping.LRSProxyCollection

    java.lang.Object
      |
      +--kodo.util.AbstractLRSProxyCollection
            |
            +--kodo.jdbc.meta.AbstractCollectionFieldMapping.LRSProxyCollection

All Implemented Interfaces:
  ChangeTracker, Collection, LRSProxy, org.apache.commons.collections.Predicate, Proxy

Enclosing class:
  AbstractCollectionFieldMapping

protected class AbstractCollectionFieldMapping.LRSProxyCollection
extends AbstractLRSProxyCollection

Large result set collection.

Constructor Summary
`AbstractCollectionFieldMapping.LRSProxyCollection()`

Method Summary
`protected int` | `count()`
`protected boolean` | `has(Object obj)`
`protected Iterator` | `itr()`

Methods inherited from class kodo.util.AbstractLRSProxyCollection
`add, addAll, added, changed, clear, contains, containsAll, copy, evaluate, getAdded, getChanged, getChangeTracker, getNextSequence, getOwner, getOwnerField, getRemoved, isEmpty, isTracking, iterator, remove, removeAll, removed, retainAll, setNextSequence, setOwner, size, startTracking, stopTracking, toArray, toArray, writeReplace`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Methods inherited from interface java.util.Collection
`equals, hashCode`

Constructor Detail

### AbstractCollectionFieldMapping.LRSProxyCollection

    public AbstractCollectionFieldMapping.LRSProxyCollection()

Method Detail

### count

    protected int count()

  Overrides:
    `count` in class `AbstractLRSProxyCollection`

### has

    protected boolean has(Object obj)

  Overrides:
    `has` in class `AbstractLRSProxyCollection`

### itr

    protected Iterator itr()

  Overrides:
    `itr` in class `AbstractLRSProxyCollection`

Overview | Package | Class | Tree | Deprecated | Index | Help
| SolarMetric Kodo JDO 3.0.3 generated on February 20 2004
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright 2001,2002 SolarMetric, Inc. All Rights Reserved.